sord-0.14.0-15.1.i586.rpm


Advertisement

Description

sord - Utilities to work with RDF data

Distribution: openSUSE 42.1
Repository: openSUSE Multimedia Libs all
Package name: sord
Package version: 0.14.0
Package release: 15.1
Package architecture: i586
Package type: rpm
Installed size: 28.58 KB
Download size: 16.78 KB
Official Mirror: ftp.gwdg.de
Utilities to work with RDF data. Sord is a lightweight C library for storing RDF data in memory.

Alternatives

Provides

  • sord = 0.14.0-15.1
  • sord(x86-32) = 0.14.0-15.1

    Download

    Binary package: sord-0.14.0-15.1.i586.rpm
    Source package: sord-0.14.0-15.1.src.rpm

    Install Howto

    1. Add the openSUSE Multimedia Libs repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_42.1/ opensuse-multimedia-libs
    2. Install sord rpm package:
      # zypper install sord

    Files

    • /usr/bin/sord_validate
    • /usr/bin/sordi
    • /usr/share/man/man1/sord_validate.1.gz
    • /usr/share/man/man1/sordi.1.gz

    Changelog

    2017-01-30 - jengelh@inai.de - Rename soname macro to sover as it does not contain a name

    2017-01-12 - olaf@aepfle.de - Add baselibs.conf for gstreamer-plugins-bad-32bit

    2015-12-17 - davejplater@gmail.com - Added manpage sord.3 and api docs to devel package.

    2015-12-16 - olaf@aepfle.de - Add BuildRoot: for SLE_11

    2015-12-09 - someuniquename@gmail.com - Removed doc package due to build problems. - Update to version 0.14.0 stable; * Reduce memory usage and increase performance with a better data structure * Add sord_erase() for erasing statements via an iterator * Fix bugs with stores that contain both graphs and default graph statements * Fix crash caused by multiple deletion of datatype nodes * Fix compilation on compilers that do not support -pthread flag * Fix minor memory leak in sordi * Fix using sordi with stdin * Show sordi errors in standard format * sord_validate: More extensive validation, including cardinality, PlainLiteral, and someValuesFrom restrictions. * This release does not break the ABI, but the semantics of iterators has changed: any modification to a model invalidates iterators on that model * Improve test coverage * Upgrade to waf 1.8.14

    2015-03-25 - p.drouand@gmail.com - Update to version 0.12.2 * Fix iteration over an entire graph (* * * graph) * sordmm.hpp: Remove unused members * Update to waf 1.7.16

    2013-09-05 - reddwarf@opensuse.org - Update to 0.12.0 * Update to waf 1.7.9 and autowaf r90 (install docs to versioned directory) * Add sord_get() for easily getting single property values * sord_validate: Pass type check when range is xsd:anyURI and value is a URI * sord_validate: Support any subClassOf rdf:Property, not just baked-in ones * sordmm.hpp: Add convenient constructors for decimal and integer literals * sordmm.hpp: Add Node::to_serd_node() * sordmm.hpp: Don't automatically add RDF namespace prefix to world

    2012-10-23 - reddwarf@opensuse.org - Remove sord-0.8.0-no_g++.patch, applied upstream - Update to 0.10.4 * Implement better data type validation in sord_validate conformant with the XSD and OWL specifications * Fix memory leaks in sord_validate * Install sord_validate man page * Disable timestamps in HTML documentation for reproducible build * Add error callback to world for custom error reporting * Performance and space (per node) improvements * SSE4.2 accelerated hashing for node interning, where available * Make all 'zix' symbols private to avoid symbol clashes in static builds * Remove problematic "Loaded n statements" output from serdi * Strip down API documentation to a single clean page * Fix various hyper-strict warnings * Do not require a C++ compiler to build * Add option to build utilities as static binaries * Upgrade to waf 1.7.2 * sordmm.hpp: Add indices and graphs parameters to Model constructor * sordmm.hpp: Remove overzealous URI scheme assertion * sordmm.hpp: Correctly handle Sord::Node self-assignment

    2012-08-16 - reddwarf@opensuse.org - Fix main package metadata - Install sord_validate man page - Created a libsord-docs subpackage to let multiple devel packages with different APIs to be installed at the same time

    2012-08-08 - reddwarf@opensuse.org - First version of the package - Added sord-0.8.0-no_g++.patch

    Advertisement
    Advertisement